/*
+--------------------------------------------------------------------+
| PROJECT:	MMI-Framework (8417)		$Workfile::	mfw_aud.h	    $|
| $Author::	NDH							$Revision::	1			    $|
| CREATED:	04.02.03		     		$Modtime::	10.04.00 14:58	$|
| STATE  :	code														 |
+--------------------------------------------------------------------+

   MODULE  : MFW_AUD

   PURPOSE : This module contains the definitions for the Audio Riveria Interface.

*/

/*
** Voice Memo Functions Prototypes
*/

SHORT mfw_aud_vm_delete_file(void);
SHORT mfw_aud_vm_start_playback(void (*callback_fn)(void *));
SHORT mfw_aud_vm_stop_playback(void (*callback_fn)(void *));
SHORT mfw_aud_vm_start_record(UBYTE max_duration, void (*callback_fn)(void *));
SHORT mfw_aud_vm_stop_record(void (*callback_fn)(void *));
UBYTE mfw_aud_vm_get_duration(void);
void mfw_aud_vm_set_duration(UBYTE duration);

/*
** Layer1 Audio interface functions
*/
void mfw_aud_l1_enable_vocoder ( void );
void mfw_aud_l1_disable_vocoder ( void );



/*
** Voice Memo Return Values
*/

#define MFW_AUD_VM_OK					(0)
#define MFW_AUD_VM_RIVIERA_FAILED		(-1)
#define MFW_AUD_VM_MEM_FULL				(-2)
#define MFW_AUD_VM_MEM_EMPTY			(-3)

